- name: Engineering Pulse Survey
  base_path: /handbook/engineering/performance-indicators/
  definition: A pulse survey is a brief, frequently sent survey that provides near-real-time information about satisfaction in time series. It usually consists of just 1-2 NPS-style questions like “How likely are you to recommend GitLab to your friends as a place to work?” , with an optional comment box for qualitative answers. This is unlike an annual, or bi-annual engagement survey that has much more content, but also has lower submission rates, and can only be sent infrequently.
  target: Unkown, until we send the first one
  org: Engineering Function
  is_key: false
  health:
    level: 0
    reasons:
      - We probably need our new PO business partner to start
      - Need faceting by team/department/function while preserving anonymity
      - We need to choose the right tool. Qualtrics, 6Q, CultureAmp, HazelHQ (Slack integration)
      - The right tool needs to have an API, or otherwise be able to get data into Snowplow

- name: Engineering Hiring Actual vs Plan
  base_path: /handbook/engineering/performance-indicators/
  definition: Are we able to hire high quality workers to build our product vision in a timely manner? Hiring information comes from BambooHR where employees are in the division `Engineering`.
  target: 525 engineering members by Jan 31, 2019
  org: Engineering Function
  is_key: true
  health:
    level: 3
    reasons:
      - Engineering is on plan. But we are lending some of our recruiters to sales for this quarter. And we just put in place a new "one star minimum" rule that might decrease offer volume.
      - "Health: Monitor health closely"
  urls:
    - /handbook/hiring/charts/engineering-function/

- name: Development Hiring Actual vs Plan
  base_path: /handbook/engineering/development/performance-indicators/
  definition: Are we able to hire high quality workers to build our product vision in a timely manner? Hiring information comes from BambooHR where employees are in the division `Engineering`.
  target: 276 by February 1, 2020
  org: Development Department
  is_key: true
  health:
    level: 2
    reasons:
      - Development is projected to not hit quarterly goal (46 vs. 54).  We overshot Q2 which keeps us on track (63 vs 42). We have seen some variability in sourcing which has affected us.
      - "Health: Monitor health closely"
  urls:
    - /handbook/hiring/charts/development-department/

- name: Infrastructure Hiring Actual vs Plan
  base_path: /handbook/engineering/infrastructure/performance-indicators/
  definition: Are we able to hire high quality workers to build our product vision in a timely manner? Hiring information comes from BambooHR where employees are in the division `Engineering`.
  target: 39 by Dec 31, 2019
  org: Infrastructure Department
  is_key: true
  health:
    level: 3
    reasons:
      - Engineering is on plan. But we are lending some of our recruiters to sales for this quarter. And we just put in place a new "one star minimum" rule that might decrease offer volume.
      - "Health: Monitor health closely"
  urls:
    - /handbook/hiring/charts/infrastructure-department/

- name: Quality Hiring Actual vs Plan
  base_path: /handbook/engineering/quality/performance-indicators/
  definition: Are we able to hire high quality workers to build our product vision in a timely manner? Hiring information comes from BambooHR where employees are in the division `Engineering`.
  target: 24 by November 1, 2019
  org: Quality Department
  is_key: true
  health:
    level: 3
    reasons:
      - Engineering is on plan. But we are lending some of our recruiters to sales for this quarter. And we just put in place a new "one star minimum" rule that might decrease offer volume.
      - "Health: Monitor health closely"
  urls:
    - /handbook/hiring/charts/quality-department/

- name: Security Hiring Actual vs Plan
  base_path: /handbook/engineering/security/performance-indicators/
  definition: Are we able to hire high quality workers to build our product vision in a timely manner? Hiring information comes from BambooHR where employees are in the division `Engineering`.
  target:
  org: Security Department
  is_key: true
  health:
    level: 3
    reasons:
      - "Health: Monitor health closely"
  urls:
    - /handbook/hiring/charts/security-department/

- name: Support Hiring Actual vs Plan
  base_path: /handbook/support/performance-indicators/
  definition: Are we able to hire high quality workers to build our product vision in a timely manner? Hiring information comes from BambooHR where employees are in the division `Engineering`.
  target: 90% to plan per quarter
  org: Support Department
  is_key: true
  health:
    level: 3
    reasons:
      - Engineering is on plan. But we are lending some of our recruiters to sales for this quarter. And we just put in place a new "one star minimum" rule that might decrease offer volume.
      - "Health: Monitor health closely"
  urls:
    - /handbook/hiring/charts/support-department/

- name: UX Hiring Actual vs Plan
  base_path: /handbook/engineering/ux/performance-indicators/
  definition: Are we able to hire high quality workers to build our product vision in a timely manner? Hiring information comes from BambooHR where employees are in the division `Engineering`.
  target:
  org: UX Department
  is_key: true
  health:
    level: 3
    reasons:
      - Engineering is on plan. But we are lending some of our recruiters to sales for this quarter. And we just put in place a new "one star minimum" rule that might decrease offer volume.
      - "Health: Monitor health closely"
  urls:
    - /handbook/hiring/charts/ux-department/

- name: Non-headcount budget vs plan
  base_path: /handbook/engineering/performance-indicators/
  definition: We need to spend our investors' money wisely. We also need to run a responsible business to be successful, and to one day go on the public market.
  target: Unknown until FY21 planning process
  org: Engineering Function
  is_key: true
  health:
    level: 0
    reasons:
      - Currently finance tells me when there is a problem, I’m not self-service.
      - Get the budget captured in a system
      - Chart budget vs. actual over time in periscope
  urls:
    - https://docs.google.com/spreadsheets/d/15iPViTjJvLHUoU10lAUq5Rp3hm0xquC987cGISimm88/edit#gid=137507826

- name: Engineering Average Location Factor
  base_path: /handbook/engineering/performance-indicators/
  definition: We remain efficient financially if we are hiring globally, working asynchronously, and hiring great people in low-cost regions where we pay market rates. We track an average location factor by function and department so managers can make tradeoffs and hire in an expensive region when they really need specific talent unavailable elsewhere, and offset it with great people who happen to be in low cost areas.
  target: .58 average location factor
  org: Engineering Function
  is_key: true
  health:
    level: 2
    reasons:
      - We are at our target of 0.58 exactly overall, but trending upward.
      - We need to get the target location factors in the charts.
      - It will probably be cleaner if we get this in periscope.
      - We need to set the target location factors on our vacancies and make sure recruiting is targeting the right areas of the globe on a per role basis.
  urls:
    - /handbook/hiring/charts/engineering-function/

- name: Development Average Location Factor
  base_path: /handbook/engineering/development/performance-indicators/
  definition: We remain efficient financially if we are hiring globally, working asynchronously, and hiring great people in low-cost regions where we pay market rates. We track an average location factor by function and department so managers can make tradeoffs and hire in an expensive region when they really need specific talent unavailable elsewhere, and offset it with great people who happen to be in low cost areas.
  target: 0.58
  org: Development Department
  is_key: true
  health:
    level: 2
    reasons:
      - We are at our target of 0.58 exactly overall, but trending upward.
      - We need to get the target location factors in the charts.
      - It will probably be cleaner if we get this in periscope.
      - We need to set the target location factors on our vacancies and make sure recruiting is targeting the right areas of the globe on a per role basis.
  urls:
    - /handbook/hiring/charts/development-department/

- name: Infrastructure Average Location Factor
  base_path: /handbook/engineering/infrastructure/performance-indicators/
  definition: We remain efficient financially if we are hiring globally, working asynchronously, and hiring great people in low-cost regions where we pay market rates. We track an average location factor by function and department so managers can make tradeoffs and hire in an expensive region when they really need specific talent unavailable elsewhere, and offset it with great people who happen to be in low cost areas.
  target: 0.58
  org: Infrastructure Department
  is_key: true
  health:
    level: 2
    reasons:
      - We are at our target of 0.58 exactly overall, but trending upward.
      - We need to get the target location factors in the charts.
      - It will probably be cleaner if we get this in periscope.
      - We need to set the target location factors on our vacancies and make sure recruiting is targeting the right areas of the globe on a per role basis.
  urls:
    - /handbook/hiring/charts/infrastructure-department/

- name: Quality Average Location Factor
  base_path: /handbook/engineering/quality/performance-indicators/
  definition: We remain efficient financially if we are hiring globally, working asynchronously, and hiring great people in low-cost regions where we pay market rates. We track an average location factor by function and department so managers can make tradeoffs and hire in an expensive region when they really need specific talent unavailable elsewhere, and offset it with great people who happen to be in low cost areas.
  target: 0.58
  org: Quality Department
  is_key: true
  health:
    level: 2
    reasons:
      - We are at our target of 0.58 exactly overall, but trending upward.
      - We need to get the target location factors in the charts.
      - It will probably be cleaner if we get this in periscope.
      - We need to set the target location factors on our vacancies and make sure recruiting is targeting the right areas of the globe on a per role basis.
  urls:
    - /handbook/hiring/charts/quality-department/

- name: Support Average Location Factor
  base_path: /handbook/support/performance-indicators/
  definition: We remain efficient financially if we are hiring globally, working asynchronously, and hiring great people in low-cost regions where we pay market rates. We track an average location factor by function and department so managers can make tradeoffs and hire in an expensive region when they really need specific talent unavailable elsewhere, and offset it with great people who happen to be in low cost areas.
  target: 0.6
  org: Support Department
  is_key: true
  health:
    level: 2
    reasons:
      - We are at our target of 0.58 exactly overall, but trending upward.
      - We need to get the target location factors in the charts.
      - It will probably be cleaner if we get this in periscope.
      - We need to set the target location factors on our vacancies and make sure recruiting is targeting the right areas of the globe on a per role basis.
  urls:
    - /handbook/hiring/charts/support-department/

- name: Security Average Location Factor
  base_path: /handbook/engineering/security/performance-indicators/
  definition: We remain efficient financially if we are hiring globally, working asynchronously, and hiring great people in low-cost regions where we pay market rates. We track an average location factor by function and department so managers can make tradeoffs and hire in an expensive region when they really need specific talent unavailable elsewhere, and offset it with great people who happen to be in low cost areas.
  target:
  org: Security Department
  is_key: true
  health:
    level: 2
    reasons:
      - Security Operations having challenges pulling quality candidates in geo-diverse locations.
      - Security Compliance has been skewing towards US-based candidates because the short term compliance goals of GitLab are based primarily on frameworks/requirements from this area
  urls:
    - /handbook/hiring/charts/security-department/

- name: UX Average Location Factor
  base_path: /handbook/engineering/ux/performance-indicators/
  definition: We remain efficient financially if we are hiring globally, working asynchronously, and hiring great people in low-cost regions where we pay market rates. We track an average location factor by function and department so managers can make tradeoffs and hire in an expensive region when they really need specific talent unavailable elsewhere, and offset it with great people who happen to be in low cost areas.
  target:
  org: UX Department
  is_key: true
  health:
    level: 2
    reasons:
      - We are at our target of 0.58 exactly overall, but trending upward.
      - We need to get the target location factors in the charts.
      - It will probably be cleaner if we get this in periscope.
      - We need to set the target location factors on our vacancies and make sure recruiting is targeting the right areas of the globe on a per role basis.
  urls:
    - /handbook/hiring/charts/ux-department/

- name: Diversity
  base_path: /handbook/engineering/performance-indicators/
  definition: Diversity & Inclusion is one of our core values, and a general challenge for the tech industry. GitLab is in a privileged position to positively impact diversity in tech because our remote lifestyle should be more friendly to people who may have left the tech industry, or studied a technical field but never entered industry. This means we can add to the diversity of our industry, and not just play a zero-sum recruiting game with our competitors.
  target: It's against company policy to set diversity quotas (but we may add benchmarks to compare ourselves against).
  org: Engineering Function
  is_key: false
  health:
    level: 2
    reasons:
      - Engineering is now at the tech benchmark for gender diversity (~16%), but our potential is greater and we can do better. 20% should be our floor in technical roles. Other types of diversity are unknown.
      - Get data wired up and visualized in periscope.
      - Clear data sharing with legal.
      - Get better data about racial and country diversity.
  urls:
    - https://docs.google.com/presentation/d/1Rj6brdP2hKU1zgj0ll1poywBw0aR9jIAdT4GsLZfIIU/edit#slide=id.g4bb9f44e0b_6_160
    - https://docs.google.com/spreadsheets/d/1Jef9oopd8AeZRYM2P9B8ye2TxfdzxI0FY6ixhlyzW_c/edit#gid=1035217495

- name: Handbook Update Frequency
  base_path: /handbook/engineering/performance-indicators/
  definition: The handbook is essential to working remote successfully, to keeping up our transparency, and to recruiting successfully. Our processes are constantly evolving and we need a way to make sure the handbook is being updated at a regular cadence.
  target: Unknown until we reach maturity level 2
  org: Engineering Function
  is_key: true
  health:
    level: 0
    reasons:
      - Unknown. But my sense is we are not doing enough. For instance, we have not been able to fully update the handbook after the development department re-org (dev backend, and ops backend are still present. Although many of the new teams do have their own pages already)
      - We’d like to query the API for merge requests that have files matching /source/handbook/engineering/** over time
      - Also facet by Department
      - Visualize in Periscope
  urls:
    - https://gitlab.com/edjdev
    - https://gitlab.com/clefelhocz1
    - https://gitlab.com/glopezfernandez
    - https://gitlab.com/meks
    - https://gitlab.com/tcooney
    - https://gitlab.com/clenneville

- name: Team Member Retention
  base_path: /handbook/engineering/performance-indicators/
  definition: People are a priority and attrition comes at a great human cost to the individual and team. Additionally, recruiting (backfilling attrition) is a ludicrously expensive process, so we prefer to keep the people we have :)
  target: 90%
  org: Engineering Function
  is_key: false
  health:
    level: 3
    reasons:
      - I seem to recall our attrition is now below 10% which is great compared to the tech benchmark of 22% and the remote benchmark for 16%, but the fact that I can’t just look at a simple graph makes me nervous...
      - Get into a system (BambooHR?) and visualized in periscope
      - Break out voluntary and involuntary
  urls:
    - https://docs.google.com/spreadsheets/d/1Jef9oopd8AeZRYM2P9B8ye2TxfdzxI0FY6ixhlyzW_c/edit#gid=1405344200

- name: Throughput
  base_path: /handbook/engineering/development/performance-indicators/
  definition: Throughput shows the number of Merge Requests (MRs) on a month by month basis.  It’s important because it shows the overall development teams velocity. The <a href="https://gitlab.com/clefelhocz1">Senior Director of Development</a> is the DRI on <a href="https://gitlab.com/gitlab-data/analytics/blob/master/transform/snowflake-dbt/data/engineering_productivity_metrics_projects_to_include.csv">what projects are included</a>.
  target: 20% increase quarter of quarter
  org: Development Department
  is_key: true
  health:
    level: 2
    reasons:
      - Move to single code base affectedd throughput by roughly 20%.  One time charge associated with the transition.
      - What we need to do next to raise maturity. Update the chart to include all repos, but not dev.
      - First pass of periscope updates made. Need to fix ETL bug.
  periscope_data:
    chart: 6204343
    dashboard: 463858
    embed: v2
  urls:
    - https://quality-dashboard.gitlap.com/groups/gitlab-org/monthly_merged_mrs

- name: Average MRs/Development Engineers/Month
  base_path: /handbook/engineering/development/performance-indicators/
  definition: Average MRs per Development Engineer (an IC in the Development Department) per month is a monthly evaluation of how MRs on average an author performs. It’s important because it measures productivity. We include external contributions from the wider community. We want to be efficient at accepting community contributions, as a result, the data is analyzed on a per category/group basis and never per GitLab team or team members. The <a href="https://gitlab.com/clefelhocz1">Senior Director of Development</a> is the DRI on <a href="https://gitlab.com/gitlab-data/analytics/blob/master/transform/snowflake-dbt/data/projects_part_of_product.csv">what projects are included</a>.
  target: 8 MRs per Development Engineer per Month
  org: Development Department
  is_key: true
  health:
    level: 1
    reasons:
      - Trends are showing negative impact. Single code base has slowed this metric and we haven't recovered. Issue open to explore this 'https://gitlab.com/gitlab-com/www-gitlab-com/issues/5375'
      - "Health: What we need to do next to improve metric - compare to the future trend of hiring/onboarding rates."
  periscope_data:
    chart: 6946736
    dashboard: 504639
    embed: v2

- name: Average MRs per Author vs Growth
  base_path: /handbook/engineering/development/performance-indicators/
  definition: Average MRs per Developer per month is a monthly evaluation of how MRs on average an author performs.  Growth represents how fast we are growing as an organization.  It’s important because time spent getting new members up to speed can affect a teams velocity.
  target: 0% growth 10 MRs per Engineer, 10% growth 8 MRs per Engineering, 15% growth 7 MRs per Engineer
  org: Development Department
  is_key: false
  health:
    level: 2
    reasons:
      - We know this is causal, we  have a good understanding of the impact at this point.
      - What we need to do next to raise maturity - Rebaseline measurement based on new headcount.
      - What we need to do next to improve metric - We are attempting to hold the line the performance as we hire.  We will continue to monitor.
      - Further automation of pulling of this metric.
  urls:
    - https://app.periscopedata.com/app/gitlab/463858/Engineering-KPIs

- name: Response to Community SLO
  base_path: /handbook/engineering/development/performance-indicators/
  definition: Measurement of time from Community member MR proposed till GitLab response.  It’s important because it shows our commitment to community and engagement.
  target: No Target Set
  org: Development Department
  health:
    level: 0
    reasons:
      - We haven’t started measuring it yet.
      - What we need to do next to raise maturity - start measuring.
      - What we need to do next to improve metric - unknown.
      - Import into Periscope for better tracking.
  urls:
    - https://gitlab.com/gitlab-com/www-gitlab-com/merge_requests/20165

- name: Backend Unit Test Coverage
  base_path: /handbook/engineering/development/performance-indicators/
  definition: BE Unit Test coverage shows the unit test coverage of our code base.  As an example 95% represents that 95% of the LOC in our BE software is unit tested.  It’s important as it shows how much code is tested early in the development process.
  target: 95%
  org: Development Department
  is_key: false
  health:
    level: 3
    reasons:
      - This metric's threshold for action is around 95%.
      - We could spend further time on coded tests, it’s not recommended at this point unless we are finding significant defect correlation in our non-unit-test coverage areas.
  urls:
    - https://app.periscopedata.com/app/gitlab/475029/Source-Code-KPI's

- name: Frontend Unit Test Coverage
  base_path: /handbook/engineering/development/performance-indicators/
  definition: FE Unit Test coverage shows the unit test coverage of our code base.  As an example 95% represents that 95% of the LOC in our FE software is unit tested.  It’s important as it shows how much code is tested early in the development process. We are currently converting from Karma to Jest organically, so the performance indicator needs to show total coverage of the combined coverage.
  target: 75%
  org: Development Department
  is_key: false
  health:
    level: 2
    reasons:
      - Definite room for improvement, though it needs to be caveated with legacy vs. new code.  Move from Karma to jest and lack of combination of testing has led to most recent decline.
      - What we need to do next to raise maturity - Establish a bar for this work as some legacy factors affect code coverage.
      - What we need to do next to improve metric - Provide adequate code coverage on new code and any particularly problematic areas in legacy.
  urls:
    - https://app.periscopedata.com/app/gitlab/475029/Source-Code-KPI's

- name: Mean time to merge (MTTM)
  base_path: /handbook/engineering/development/performance-indicators/
  definition: To be aligned with CycleTime from Development. Monthly mean time to merge MRs, it tells us on average how long it takes from submitting code to being merged. The <a href="https://gitlab.com/clefelhocz1">Senior Director of Development</a> is the DRI on <a href="https://gitlab.com/gitlab-data/analytics/blob/master/transform/snowflake-dbt/data/engineering_productivity_metrics_projects_to_include.csv">what projects are included</a>.
  target: On average under 14 days
  org: Development Department
  is_key: true
  health:
    level: 3
    reasons:
      - Because of our desire to encourage early development we are putting a high ceiling on this metric - 14 days for average.
  periscope_data:
    chart: 6114020
    dashboard: 463858
    embed: v2

- name: Acquisition and Conversion (IACV)
  base_path: /handbook/engineering/development/growth/performance-indicators/
  definition: Increased value in customer bookings on gitlab.com by acquiring new customers and upselling existing customers to a higher tier through data driven initiatives that help surface our existing capabilities to prospective and existing users.
  target:
  org: Growth Section
  is_key: true
  health:
    level: 0
    reasons:
      - Need to validate current health here.
  urls:
      - https://app.periscopedata.com/app/gitlab/461561/GitLab.com-Health

- name: Expansion and User Retention
  base_path: /handbook/engineering/development/growth/performance-indicators/
  definition: Reduced customer churn on gitlab.com by identifying and re-engaging customers that have created accounts but have not adopted our product.
  target:
  org: Growth Section
  is_key: true
  health:
    level: 0
    reasons:
      - No metrics collected.
      - Validate health and data.
  urls:
      - https://app.periscopedata.com/app/gitlab/412223/GitLab.com-Customer-Retention

- name: GitLab.com Availability
  base_path: /handbook/engineering/infrastructure/performance-indicators/
  definition: Percentage of time during which GitLab.com is fully operational and providing service to users within SLO parameters.
  target: 99.95%
  org: Infrastructure Department
  is_key: true
  urls:
    - https://pingdom.com/
  health:
    level: 2
    reasons:
      - We’re above the SLO threshold, but we also know the data needs to be better
      - "Maturity: Commit and implement SLIs/SLOs for GitLab.com."
      - Take generalized metrics and produce and track the resulting uptime metric.

- name: Apdex and Error SLO per Service
  base_path: /handbook/engineering/infrastructure/performance-indicators/
  definition: Each service at GitLab has two general metrics SLOS. "Apdex Score" is simply put, this is a measure of the percentage of requests to that service that complete within a satisfactory amount of time. The thresholds are defined per service, so for some services it will be in microseconds for others it could be seconds. "Error Ratio" is the percentage of requests to a service which end in error. For each service in the system we define an acceptable threshold for these values. For apdex we want the actual score to be above the threshold, for error ratio, we want it to be below the threshold. We don’t expect the apdex to be a perfect 100%, and we don’t expect the error rate to be a perfect 0%, but we would like these values to be within their predefined thresholds 100% of the time. The actual amount of time that they adhere to their SLO thresholds is far below this currently
  target:
  org: Infrastructure Department
  is_key: false
  urls:
    - https://dashboards.gitlab.net/d/_03KZ-ZWz/error-budget?orgId=1
  health:
    level: 0
    reasons:
      - Attribution - setup a process for attributing SLO non-conformance to specific feature changes and product stages. This will be the basis of true error budgeting. Unfortunately, one of the side effects of the monolith is that it makes this attribution hard.
      - Improvement  - start planning work within engineering teams to improve the scores

- name: Mean Time To Detection (MTTD)
  base_path: /handbook/engineering/infrastructure/performance-indicators/
  definition: Measures the elapsed time it takes us to detect the onset of an anomalous condition and its actual detection, and serves as an indicator of our ability to monitor the environment and minimize incident resolution.
  target:
  org: Infrastructure Department
  is_key: false
  urls:
    - https://gitlab.com/gitlab-com/gl-infra/infrastructure/issues/7300
  health:
    level: 0
    reasons:
      - We can’t properly evaluate the KPI.
      - Define metric

- name: Mean Time To Resolution (MTTR)
  base_path: /handbook/engineering/infrastructure/performance-indicators/
  definition: Measures the elapsed time it takes us to recover when an incident occurs, and serves as an indicator of our ability to execute said recoveries.
  target: 60m
  org: Infrastructure Department
  is_key: false
  urls:
    - https://gitlab.com/gitlab-com/gl-infra/infrastructure/issues/7301
    - https://docs.google.com/spreadsheets/d/1iTCEgCzSnvmD4EUGiiK9s5gR6gDDUWEL6zE6Qpiy02E/edit#gid=1150439504
  health:
    level: 1
    reasons:
      - The PI is currently in the days range, which is clearly very far from where we need to be.
      - Automate the grokking of incident issues to generate desired metric and track
      - Take generalized metrics and produce and track the resulting uptime metric.

- name: Mean Time Between Failures (MTBF)
  base_path: /handbook/engineering/infrastructure/performance-indicators/
  definition: Measures the mean amount of time elapsed between incidents that affect GitLab.com’s availability.
  target: 7d
  org: Infrastructure Department
  is_key: false
  urls:
    - https://gitlab.com/gitlab-com/gl-infra/infrastructure/issues/7299
    - https://docs.google.com/spreadsheets/d/1iTCEgCzSnvmD4EUGiiK9s5gR6gDDUWEL6zE6Qpiy02E/edit#gid=1150439504
  health:
    level: 1
    reasons:
      - We can’t properly evaluate the KPI.
      - Automate the grokking of incident issues to generate desired metric and track
      - Take generalized metrics and produce and track the resulting uptime metric.

- name: Mean Time To Production (MTTP)
  base_path: /handbook/engineering/infrastructure/performance-indicators/
  definition: Measures the elapsed time it takes us deploy changes in production, and serves as an indicator of our speed capabilities to deploy changes into production.
  target: 60m
  org: Infrastructure Department
  is_key: false
  urls:
    - https://gitlab.com/gitlab-com/gl-infra/infrastructure/issues/7414
  health:
    level: 0
    reasons:
      - We can’t properly evaluate the KPI.
      - Define metric

- name: Infrastructure Cost per GitLab.com Monthly Active Users
  base_path: /handbook/engineering/infrastructure/performance-indicators/
  definition: This metric reflects the dollar cost necessary to support one user in GitLab.com. It is an important metric because it allows us to estimate Infrastructure costs as our user base grows. Infrastructure cost comes from Netsuite; it is all expenses with the department name of `Infrastructure`, excluding account 6999 (Allocation). This cost is divided by <a href="/handbook/product/metrics/#monthly-active-user-mau">MAU</a>
  target:
  org: Infrastructure Department
  is_key: true
  urls:
    - https://app.periscopedata.com/app/gitlab/463858/
  health:
    level: 3
    reasons:
      - Met savings goals last quarter in working group.
      - This is one of the first priorities for the Operations Analyst, Infrastructure role.
      - Manually make rough calculation in the Working Group.

- name: GitLab.com Performance
  base_path: /handbook/engineering/infrastructure/performance-indicators/
  definition: This metric needs to reflect the performance of GitLab as experienced by users. It should capture both frontend and backend performance. Even though the Infrastructure will be responsible for this metric they will need other departments such as Development, Quality, PM, and UX to positively affect change.
  target:
  org: Infrastructure Department
  is_key: true
  urls:
    - /handbook/engineering/performance/#past-and-current-performance
  health:
    level: 2
    reasons:
      - We are experiencing occasionally slowness of both the frontend and git operations.

- name: Infrastructure cost vs plan
  base_path: /handbook/engineering/infrastructure/performance-indicators/
  definition: Tracks our actual infrastructure against our planned infrastructure costs for GitLab.com. We need this metric to manage our financial position. [Description of what this metric tells us, and why it’s important]
  target:
  org: Infrastructure Department
  is_key: true
  urls:
    - https://docs.google.com/document/d/1BmqoTrzWhNW_ytbc_H7I3BH9YgusT9AikfO7aHlNPdA/edit#heading=h.9yupw78rdovb
  health:
    level: 3
    reasons:
      - Met savings goals last quarter in working group.
      - This is one of the first priorities for the Operations Analyst, Infrastructure role.
      - Manually make rough calculation in the Working Group

- name: Deploys to Production per Month
  base_path: /handbook/engineering/infrastructure/performance-indicators/
  definition: Tracks the total number of deployments to production over the course of the month due to regressions and/or outages, which allows us to measure our deployment speed to production.
  target: 30
  org: Infrastructure Department
  is_key: false
  urls:
    - https://ops.gitlab.net/gitlab-com/gl-infra/deployer/blob/master/releases/releases.json
  health:
    level: 2
    reasons:
      - CD is Delivery's highest priority; we just started collecting data, so no targets are set for the KPI yet.
      - Automate data Injection into Graphana
      - Determine KPI targets and measure against them

- name: Number of abandoned deployments per month
  base_path: /handbook/engineering/infrastructure/performance-indicators/
  definition: Tracks number of failed deployments to production over the course of the month due to regressions and/or outages, which allows us to measure our production deployment readiness.
  target: 0
  org: Infrastructure Department
  is_key: false
  health:
    level: 1
    reasons:
      - We are not yet tracking this KPI
      - Start tracking metric manually (status field in deployer releases.json)

- name: Disaster Recovery (DR) Time-to-Recover
  base_path: /handbook/engineering/infrastructure/performance-indicators/
  definition: Tracks time to recover full operational status in case of a catastrophic incident in our primary production environment.
  target: 60m
  org: Infrastructure Department
  is_key: false
  health:
    level: 0
    reasons:
      - DR environment is not operational.
      - Complete DR rollout with Geo and implement fire drills to track the metric.
      - Implement fire drills to track the metric.

- name: Review App deployment success rate for GitLab
  base_path: /handbook/engineering/quality/performance-indicators/
  definition: Measures the stability of our test tooling to enable engineering efficiency. See <a href="https://gitlab.com/groups/gitlab-org/-/epics/605">this epic</a> for specific tasks.
  target: 99%
  org: Quality Department
  is_key: true
  health:
    level: 1
    reasons:
      - Rate is fluctuating between 25% and 55%.
      - Improve failure troubleshooting.
      - Improve cluster alerting.
  periscope_data:
    chart: 6721558
    dashboard: 516343
    embed: v2

- name: Review App deployment success rate for GitLab FOSS
  base_path: /handbook/engineering/quality/performance-indicators/
  definition: Measures the stability of our test tooling to enable engineering efficiency. See <a href="https://gitlab.com/groups/gitlab-org/-/epics/605">this epic</a> for specific items.
  target: 99%
  org: Quality Department
  is_key: false
  health:
    level: 1
    reasons:
      - Rate is fluctuating between 25% and 55%.
      - Improve failure troubleshooting.
      - Improve cluster alerting.
  periscope_data:
    chart: 6773708
    dashboard: 516343
    embed: v2

- name: Scheduled pipeline success rate for master branch in GitLab project
  base_path: /handbook/engineering/quality/performance-indicators/
  definition: Measures the stability of our `master` scheduled pipelines to accelerate cycle time of merge requests, continuous deployments and GitLab EE releases.
  target: 95%
  org: Quality Department
  is_key: true
  health:
    level: 2
    reasons:
      - Rate is fluctuating between 60% and 75%.
  periscope_data:
    chart: 6782832
    dashboard: 516343
    embed: v2

- name: Scheduled pipeline success rate for master branch in GitLab FOSS project
  base_path: /handbook/engineering/quality/performance-indicators/
  definition: Measures the stability of our <code>master</code> scheduled pipelines to accelerate GitLab CE releases.
  target: 95%
  org: Quality Department
  is_key: false
  health:
    level: 2
    reasons:
      - Rate is fluctuating between 60% and 75%.
  periscope_data:
    chart: 6782949
    dashboard: 516343
    embed: v2

- name: Average merge request pipeline duration for GitLab
  base_path: /handbook/engineering/quality/performance-indicators/
  definition: Measures the average duration of our merge request pipelines to accelerate our development cycle time, and continuous deployments. See epics <a href="https://gitlab.com/groups/gitlab-org/-/epics/1853">1853</a> and <a href="https://gitlab.com/groups/gitlab-org/-/epics/25">25</a> for individual work items.
  target: 30 minutes
  org: Quality Department
  is_key: true
  health:
    level: 2
    reasons:
      - Duration is fluctuating between 70 and 80 minutes.
  periscope_data:
      chart: 6782964
      dashboard: 516343
      embed: v2

- name: Average duration of end-to-end test suite execution on CE/EE master branch
  base_path: /handbook/engineering/quality/performance-indicators/
  definition: Measures the average duration of our full QA/end-to-end test suite in the <code>master</code> branch to accelerate cycle time of merge requests, and continuous deployments.
  target:
  org: Quality Department
  is_key: false
  health:
    level: 0
    reasons:
      - We haven't started measuring it yet.
      - Define an automated mechanism to collect data in Periscope.
      - Define threshold.
  urls:
    - https://gitlab.com/gitlab-org/quality/team-tasks/issues/198

- name: Ratio of quarantine vs total end-to-end tests in CE/EE master branch
  base_path: /handbook/engineering/quality/performance-indicators/
  definition: Measures the stability and effectiveness of our QA/end-to-end tests running in the <code>master</code> branch.
  target:
  org: Quality Department
  is_key: false
  health:
    level: 0
    reasons:
      - We haven’t started measuring it yet.
      - Define an automated mechanism to collect data in Periscope.
      - Define threshold.
  urls:
    - https://gitlab.com/gitlab-org/quality/team-tasks/issues/199

- name: New issue first triage SLO
  base_path: /handbook/engineering/quality/performance-indicators/
  definition: Measure our speed to triage new issues. We currently have ~400 new issues every week in CE/EE. We need to go through all of them and identify valid issues and high severity bugs.
  target: 5 days
  org: Quality Department
  is_key: true
  health:
    level: 0
    reasons:
      - We haven’t started measuring it yet. We have made progress on fanning out first triage to Engineers in the Quality Department.
      - Define an automated mechanism to collect data in Periscope.
      - Define threshold.
      - Fan out triaging to all of Engineering and not just the Quality Department.
  urls:
    - https://gitlab.com/gitlab-org/quality/team-tasks/issues/136
    - https://gitlab.com/groups/gitlab-data/-/epics/50

- name: Monthly new bugs per stage group
  base_path: /handbook/engineering/quality/performance-indicators/
  definition: Tells us the hit rate of defects per each stage group on a monthly basis
  target:
  org: Quality Department
  is_key: false
  health:
    level: 1
    reasons:
      - Defect trends on a high level is increasing for mature areas of the product, but also due to double counting from duplicate issues. We need to raise more awareness and encourage teams to look at this metric and evaluate themselves regularly.
      - Add this metric into every stage groups' dashboard to raise awareness.
      - Define threshold and migrate into Periscope. https://gitlab.com/gitlab-data/analytics/issues/1792
      - Define a mechanism to filter duplicate issues.
  urls:
    - https://quality-dashboard.gitlap.com/groups/gitlab-org/bugs_by_team

- name: Mean time to resolve S1-S2 functional defects
  base_path: /handbook/engineering/quality/performance-indicators/
  definition: Tells us the monthly average time to resolve high severity defects.
  target:
  org: Quality Department
  is_key: false
  health:
    level: 1
    reasons:
      - We have prioritized efforts and trend is stabilizing. We have equiped engineering groups with better weeky triage reports. We will likely not trend downwards until the backlog of older bugs are closed.
      - Migrate to GitLab Insights dashboard https://gitlab.com/groups/gitlab-org/-/insights.
      - Add integration into Periscope as a GitLab feature.
      - Add this metric into every stage groups' dashboard to raise awareness.
      - Define a mechanism to filter duplicate issues.
  urls:
    - https://quality-dashboard.gitlap.com/groups/gitlab-org/time_to_close_bugs

- name: P1/P2 open bugs past target SLO
  base_path: /handbook/engineering/quality/performance-indicators/
  definition: Measure the number of bugs past the priority SLO timeline.
  target: 0 P1, 10 P2 for customer labelled bugs.
  org: Quality Department
  is_key: true
  health:
    level: 2
    reasons:
      - We have very little P1 but a large number of P2
      - We have prioritized efforts. We will likely not trend downwards until the backlog of older bugs are closed.
      - Improve the chart by changing time series to bug age not creation month.
      - Define threshold and migrate into periscope.
  urls:
    - https://gitlab.com/groups/gitlab-org/-/insights

- name: Ratio of bugs triaged with Severity (and priority)
  base_path: /handbook/engineering/quality/performance-indicators/
  definition: Measure our ability to differentiate high severity defects from the pool so we can prioritize fixing them above trivial bugs.
  target:
  org: Quality Department
  is_key: false
  health:
    level: 2
    reasons:
      - The number of untriaged bugs have been stable but we can still do better. We need to establish an actionable threshold for each team.
      - Convert chart to time series data and define threshold.
      - Migrate into Native GitLab Insights dashboard https://gitlab.com/groups/gitlab-org/-/insights.
      - Add integration into Periscope as a GitLab feature.
      - Providing a weekly bug report with a distribution matrix of priority and severity. - https://gitlab.com/gitlab-org/quality/triage-ops/issues/186
      - Provide training for product/engineering groups on how to effectively use Priority and Severity. - https://gitlab.com/gitlab-org/quality/team-tasks/issues/148
      - Enforce triaging escalations (based on stage group labels) for bugs with no severity/priority labels.
  urls:
    - https://quality-dashboard.gitlap.com/groups/gitlab-org/bug_classification

- name: The ratio of closed (not merged MRs) vs merged MRs over time.
  base_path: /handbook/engineering/quality/performance-indicators/
  definition: Measure amount of throw away work vs merged.
  target:
  org: Quality Department
  is_key: false
  health:
    level: 2
    reasons:
      - From experimental charts we don’t have that much throw away work. Not giving a passing grade because we don’t have a threshold to grade against.
      - Define threshold.
      - Migrate into Native GitLab Insights dashboard https://gitlab.com/groups/gitlab-org/-/insights.
      - Add integration into Periscope as a GitLab feature.
      - Analyze throw away work and root cause the reason. Improve planning and collaboration.
  urls:
    - https://quality-dashboard.gitlap.com/groups/gitlab-org/mrs_by_state

- name: MTTM (Mean-Time-To-Mitigation) for S1-S2-S3 security vulnerabilities
  base_path: /handbook/engineering/security/performance-indicators/
  definition: The MTTM metric is an indicator of our efficiency in mitigating security vulnerabilities, whether they are reported through HackerOne bug bounty program (or other external means, such as security@gitlab.com emails) or internally-reported. The average days to close issues in the GitLab CE project (project_id = '13083') that are have the label `security` and S1, S2, or S3; this excludes issues with variation of the security label (e.g. `security review`) and S4 issues. Issues that are not yet closed are excluded from this analysis. This means historical data can change as older issues are closed and are introduced to the analysis. The average age in days threshold is set at the daily level.
  target:
  org: Security Department
  is_key: true
  health:
    level: 3
    reasons:
      - MTTM metrics continue to show the effectiveness of S1/S2/S3 labelling and follow-up in GitLab project
      - Security Automation has implemented an Escalation Engine to escalate S1/S2/S3 issues that do not have clear milestone and resolution times. This is ensuring good hygiene and appropraite prioritisation of security issues.
  urls:
    - https://app.periscopedata.com/app/gitlab/463858/

- name: Blocked Abuse Activity
  base_path: /handbook/engineering/security/performance-indicators/
  definition: This metric is focused around the efficacy of our Abuse Handling and Abuse Operations. The Abuse Team is responsible for tracking, automating, and reporting on blocked abusive accounts on GitLab.com, and tracking reduction in cloud spend where the activities are due to abuse.
  target:
  org: Security Department
  is_key: true
  health:
    level: 2
    reasons:
      - Abuse tooling is mature and using automation to flag and block the majority of Abuse activity
      - Machine Learning Engine is in place to automate detection of abusive accounts and activity. Currently operating at around 98.6% accuracy.
      - Reporting is available, but reporting is not in Periscope.
  urls:
    - https://placeholder.com/

- name: HackerOne budget vs actual (with forecast of 'unknowns')
  base_path: /handbook/engineering/security/performance-indicators/
  definition: We currently run a public bug bounty program through HackerOne, and this program has been largely successful - we get a lot of hacker engagement, and since the program went public, we have been able to resolve nearly 100 reported security vulnerabilities. The bounty spend is however, a budgeting forecast concern because of the unpredictability factor from month to month.
  target:
  org: Security Department
  is_key: true
  health:
    level: 2
    reasons:
      - H1 spend has decreased by >50% from Q1 to Q3, from $180,150 (Q1) to $81,400 (Q3)
      - Total for 2019 at $382,900
      - We need to brainstorm with Finance on how we can get creative with predicting the ‘unknown’. There has to be known financial models that are specific to forecasting the ‘unknown unknowns’, but I don’t have the Finance background to do this by myself.
      - This needs to be direct input from Finance for next steps. On Security’s end, we’ve gathered all of the data that we can possibly gather at this point.

- name: HackerOne outreach and engagement
  base_path: /handbook/engineering/security/performance-indicators/
  definition: The true mark of a successful public bug bounty program is partially tied to hacker outreach and engagement. We’ve already implemented quite a bit of security automation to engage hackers. For example, when findings are submitted by hackers, an automated dynamic message is generated by our automation scripts and they receive a response with expected ETA on a reply (this ETA is dependent on how many findings are in our ‘to be triaged’ bucket at that time, so the ETA changes). This ensures the hacker knows 1) we received the report, 2) a human will be reading the report within a certain ETA, and 3) a human will be replying within an ETA. Our program went public in mid-December 2018, and we are now focusing on outreach and incentive programs to retain the top hackers to our program - about 90%+ of the most impactful reports are currently submitted by our Top 5-10 hackers, so it is imperative we retain those individuals.
  target:
  org: Security Department
  is_key: false
  health:
    level: 2
    reasons:
      - External communications has started broader engagement efforts leveraging blogs and social media to increase awareness around our bug bounty program across the industry and, specifically, within the reporter community.
      - Formalize process for recognizing Hackers via social media shout-outs on twitter for those reporters who've contributed to an S1 finding.
      - Continue the quarterly bug bounty blog highlighting the contributions of our reporter community, the growth and maturity of the program and opportunities for improvement within the program. This regular blog serves as another touchpoint and opportunity to generate awareness, engagement and feedback within the reporter community.
      - Celebrate our 1 year anniversary (December 2019) through a contest awarding custom swag to a select group of hackers meeting specific requirements (most impactful finding, best written report , etc) during a two month period in the fall. The focus of this will be to encourage, incentivize and reward hackers in key areas of importance to our program.

- name: Security Response Times
  base_path: /handbook/engineering/security/performance-indicators/
  definition: Although the Security Department is always working towards minimizing friction to day-to-day company operations, it is never possible to be 100% frictionless when adding an additional step into an existing process. As cumbersome as this may feel (despite our best efforts), this is usually a necessary step to maturing our security posture and meeting customer requirements (especially large enterprise customers). We plan to measure Security response times to new processes such as access request approval issues and security reviews for 3rd party vendor requests to highlight where bottlenecks are to the current process, and use a data-driven approach to iterate on better processes.
  target:
  org: Security Department
  is_key: false
  health:
    level: 0
    reasons:
      - Note that this is a newly proposed KPI, and is not ready for today's meeting, but we will plan to show metrics around response times for future metrics/KPIs meeting.

- name: Perception of system usability
  definition: The System Usability Scale (SUS) is an industry-standard survey that measures overall system usability based on 10 questions. Moving a SUS score upward even a couple of points on a large system is a significant change. The goal of this KPI is to understand how usability of the GitLab product rates against industry standards and then track trends over time. Even though UX will be responsible for this metric, they will need other departments such as PM and Development to positively affect change. See <a href="https://measuringu.com/interpret-sus-score/">Table 1</a> for grading details.
  target: B+
  periscope_data:
    chart: 5976554
    dashboard: 462325
    embed: v2
  org: UX Department
  is_key: true
  health:
    level: 2
    reasons:
      - Perceived usability rates as a B- to a low B.
      - Continue to action on UX Scorecards for every stage group.
  urls:
    - https://docs.google.com/spreadsheets/d/1RzoYgjIH8RYiUxEJmUb7f_hTy83vTxpRtJS4AL0Ekrk/edit?usp=sharing

- name: Ratio of proactive vs reactive UX work
  definition: Use customer research to validate solutions. This includes feedback from the wider GitLab community gathered via multiple comments, a survey, usability study, card sort/tree test, and/or user interviews. Hypothesis that there is a connection between this KPI and SUS KPI.
  target: 2 solution validation issues per Product Designer per quarter
  periscope_data:
    chart: 7004937
    dashboard: 462325
    embed: v2
  org: UX Department
  is_key: true
  health:
    level: 2
    reasons:
      - We're on track to deliver 1 solution validation issue per Product Designer in Q3 FY20. Current velocity per team member is good, but we suspect that velocity may also be temporarily challenging as we onboard more Product Designers who will take time to ramp up.
      - Working to get Periscope dashboard set up.

- name: UX Scorecard improvements
  definition: UX Scorecards <a href="/handbook/engineering/ux/experience-baseline-recommendations/#grading-rubric">score</a> the current usability of a workflow and track its improvements over time. Even though UX will be responsible for this metric, they will need other departments such as PM and Development to positively affect change.
  target: B+ on all scores
  periscope_data:
    chart: 5990586
    dashboard: 462325
    embed: v2
  org: UX Department
  is_key: false
  health:
    level: 3
    reasons:
      - Work with PM to continue prioritizing improvements to existing workflows.

- name: UI beautification
  definition: Burndown of "UI polish" issues completed in the Beautifying our UI epic. The aesthetics of our UI impacts its perceived usability. See the <a href="https://gitlab.com/groups/gitlab-org/-/epics/989">Beautifying our UI</a> epic.
  target: 0 open issues
  periscope_data:
    chart: 5988783
    dashboard: 462325
    embed: v2
  org: UX Department
  is_key: true
  health:
    level: 2
    reasons:
      - Of 125 total issues, 72 have been closed. 53 open issues remain.
      - Q4 FY20 OKR will focus on burning these issues down.

- name: UX debt
  definition: UX Debt means that for a given issue, we failed to meet defined standards for our Design system or for usability and feature viability standards as defined in agreed-upon design assets. When we fail to ship something according to defined standards, we track the resulting issues with a "UX debt" label. Even though UX will be responsible for this metric, they will need other departments such as PM and Development to positively affect change.
  target: Under 50 open "ux debt" issues
  periscope_data:
    chart: 6599301
    dashboard: 462325
    embed: v2
  org: UX Department
  is_key: false
  health:
    level: 3
    reasons:
      - Open "UX debt" issues are growing over time. Average days to close a "UX debt" issue is unacceptable.
      - Influence Product Management to prioritize "UX debt" issues more quickly. Work closely with Engineering to help prevent "UX debt" issues from occurring.

- name: Throughput of Technical Writing team documentation MRs
  base_path: /handbook/engineering/ux/performance-indicators/
  definition: This KPI tracks the number of ~documentation MRs merged every month across all GitLab projects which have involvement (review, collaboration, or authoring) from the ~"Technical Writing" team. The goal is to increase velocity over time as the team grows.
  target: 25 MRs per technical writer per month
  org: UX Department
  is_key: false
  health:
    level: 3
    reasons:
      - Current velocity per team member is good, but we suspect that increasing the proportion of proactive documentation efforts will also increase this velocity, while the hiring plan will lead to a greater overall team velocity.
      - Automate application of the "Technical Writing" label when the team is involved.
      - Continue to improve onboarding process to get new Technical Writers' productivity up to speed quickly.
      - Working to get Periscope dashboard to display correct data.
  periscope_data:
    chart: 6223816
    dashboard: 462325
    embed: v2

- name: Distribution of Technical Writing team documentation effort
  base_path: /handbook/engineering/ux/performance-indicators/
  definition: Tracks the type of documentation changes involving the ~"Technical Writing" team, based on `docs::` scoped label applied. Labels include feature, new, improvement, fix, revamp, or housekeeping. Our goal is to increase the proportion of proactive 'revamp' efforts; cases where the content is mostly rewritten or restructured for an improved user experience.
  target: 10% of MRs are revamps
  org: UX Department
  is_key: false
  health:
    level: 2
    reasons:
      - September 2019 had us at 2.5%, with October efforts likely to exceed 4%. Further planning and focus is needed to continue the upward trend.
      - Plan further revamp issues for FY 2020 Q4.
      - Automation to prompt contributors to consistently add the scoped labels.
      - Working to get Periscope dashboard to display correct data.
  periscope_data:
    chart: 6324830
    dashboard: 462325
    embed: v2

- name: Support Satisfaction (SSAT)
  base_path: /handbook/support/performance-indicators/
  definition: A measure of how satisfied our customers' are with their interaction with the GitLab Support team. This is based on survey responses from customers after each ticket is solved by the Support team using a Good or Bad rating.
  target: 95%
  org: Support Department
  is_key: true
  health:
    level: 2
    reasons:
      - SSAT is good (above 91%) but target is 95%.
      - Collecting feedback from dissatisfied customers to identify trends.
      - Support Managers review trends to create changes to workflows and/or training.
  periscope_data:
    chart: 5992548
    dashboard: 463858
    embed: v2
    border: off

- name: Service Level Agreement (SLA)
  base_path: /handbook/support/performance-indicators/
  definition: GitLab Support commits to an initial substantive response in a specified amount of time from the time the customer submits a ticket. The SLA for this first reply is based on each customer's Support Plan.
  target: 95% to Priority Support SLAs
  org: Support Department
  is_key: true
  health:
    level: 2
    reasons:
      - Inconsistent performance to a 95% target achievement.
      - Focused staffing to key time gaps with higher level of ticket SLA breaches.
      - Adjusting workflow to enable working with customers in their preferred timezone.
  periscope_data:
    chart: 6892851
    dashboard: 421422
    embed: v2
    border: off

- name: Customer Support Margin
  base_path: /handbook/support/performance-indicators/
  definition: Total Support headcount and non-headcount expenses as a percent of ARR.
  target: Headcount and non-headcount expenses to be 10% of ARR
  org: Support Department
  is_key: true
  health:
    level: 3
    reasons:
      - Tracked and reported monthly, and for the year we are under our margin target for spend.
      - Maintain focus on spend while iterating on needs for non-headcount expense requirements.
  periscope_data:
    chart: 6032346
    dashboard: 421422
    embed: v2
    border: off

- name: ARR per support team member
  base_path: /handbook/support/performance-indicators/
  definition: This is a function of modeling for staffing to a ratio of ARR and not directly influenced by Support staff performance but more to our hiring which is managed through other performance indicators.
  target: Greater than $1.175M
  org: Support Department
  is_key: true
  health:
    level: 3
    reasons:
      - Determine the need to continue to track this as a KPI versus a Support Gearing Ratio to ARR for modelling hiring plans.
  urls:
    - https://about.gitlab.com/handbook/sales/#annual-recurring-revenue-arr
    - https://about.gitlab.com/handbook/support/

- name: Average daily tickets closed per Support team member
  base_path: /handbook/support/performance-indicators/
  definition: The Gitlab support team aims to staff the team based on weighted average of both self-managed and GitLab.com tickets closed in a given month by an individual support team member involved in customer tickets. Total number of tickets closed / Total number of support staff.
  target: 65 tickets closed per support staff per month
  org: Support Department
  is_key: true
  health:
    level: 2
    reasons:
      - We are continuing to onboard new support agents and engineers so this average will be relatively dynamic as new people onboard.  Still, we are in a healthy place for solving tickets and keeping pace.
      - Determine appropriate team metrics to continue to drive individual contribution to solving tickets.
      - Identify ways to match complexity to time to solve to differentiate expectations per support role.
  periscope_data:
    chart: 6133962
    dashboard: 421422
    embed: v2
    border: off

- name: Manager to customer support rep ratio
  base_path: /handbook/support/performance-indicators/
  definition: The Manager to IC Ratio is the ratio of individual contributors to one manager. This data comes from Bamboo HR.
  target: The long term target for this metric is 10:1
  org: Support Department
  is_key: true
  health:
    level: 3
    reasons:
      - While we have an overall ratio of less than 10:1 as a department at time of this evaluation, we have re-balanced the larger imbalance in EMEA with new management in place, and have plans for 3 additional managers to hire to accommodate growth in other teams.
      - Hire to plan for new managers.
      - Re-align ICs to new managers to restore balance.
  periscope_data:
    chart: 6119434
    dashboard: 421422
    embed: v2
    border: off
